---
template: index.html
title: 简洁、强大和极易定制的 Zsh 提示符
hide:
  - navigation
hero:
  title: 简洁、强大和极易定制的 Zsh 提示符
  subtitle: 它将你可能需要的方便工作的一切结合起来，而不会造成不必要的麻烦。 像真正的宇宙飞船一样。
  install_button: 快速上手
  source_button: 源代码
features:
  - 
    title: 清晰而简洁
    image: /assets/what-is-needed.svg
    description: 该提示符不臃肿，它只显示当前您需要的内容 (当前目录，git 分支，等等)。
  - 
    title: 轻松设定
    image: /assets/out-of-the-box.svg
    description: 提示符在安装后即可正常工作，没有任何附加配置。 安装并使用它。
  - 
    title: 可配置
    image: /assets/configurable.svg
    description: 该提示符是零配置的，但如果需要自定义的话，它将提供一个易于自定义的接口。
---

# 欢迎加入，宇航员！

<p align="center">
  <img alt="Spaceship with Hyper and One Dark" src="https://user-images.githubusercontent.com/10276208/36086434-5de52ace-0ff2-11e8-8299-c67f9ab4e9bd.gif" width="980px">
</p>

## 特性

**Spaceship** 配备了酷酷的功能。 先睹为快：

- 精巧地显示主机名、用户名和提示字符。
- 当前 Git 和 Mercurial 项目状态
- 显示后台运行进程数（`✦`）
- 显示这些命令当前的版本 Node.js `⬢`, Ruby `💎`, Elm `🌳`, Elixir `💧`, Swift `🐦`, Xcode `🛠`, Go `🐹`, PHP `🐘`, Rust `𝗥`, Haskell `λ`, Julia `ஃ`, Python `🐍`, Conda `🅒`, .NET SDK `.NET`, Ember.js `🐹`.
- 软件包版本，如果当前目录是一个包 `📦`
- 当前的 Docker 版本和已连接的机器信息 `🐳`
- 当前亚马逊网络服务(AWS)配置 `☁️` ([使用命名配置](http://docs.aws.amazon.com/cli/latest/userguide/cli-multiple-profiles.html)).
- 当前谷歌云平台云端活动配置 `☁️`
- 当前 Kubectl 环境 `☸️`
- 当前的 Terraform 工作区 `🛠`
- 当前电池电量和状态。
- 当前 Vi-mode 模式([暂时启用的方便标识](./options.md#vi-mode-vi_mode))。
- 如果超过设定阈值，上一个命令的执行时间

需要更多功能？ 请 [提出 issue](https://github.com/spaceship-prompt/spaceship-prompt/issues/new/choose)，描述你的问题，我们将乐意帮助你。

<!-- prettier-ignore -->
!!! 提示 关注 [我们的 Twitter](//twitter.com/SpaceshipPrompt) 以便随时了解新功能、改进和错误修正的最新情况。

## 相关项目

下面列出了受 Spaceship ZSH 启发的相关项目。

- [**matchai/spacefish**](https://github.com/matchai/spacefish) - 一个旨在实现完全特性对等的移植到 fish shell 的 Spaceship ZSH 命令符。
- [**starship/starship**](https://github.com/starship/starship) - 一个受到了 Spacship ZSH 的强烈启发的用 Rust 编写的贼快的跨 shell 的命令符。

## 支持

你好！ 除了我的主要工作外，我还在我的剩余时间内从事这一项目。 我希望你喜欢使用Spaceship。 如果你喜欢，请 [成为我的赞助人 🤝][patreon-url]

|          Patreon          |                                                                     Bitcoin                                                                      |                                                                     Ethereum                                                                     |
|:-------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------------:|
|   [成为赞助者][patreon-url]    |                                                       `1FrPrQb6ACTkbSBAz9PduJWrDFfq41Ggb4`                                                       |                                                   `0x6aF39C917359897ae6969Ad682C14110afe1a0a1`                                                   |
| <a href="https://www.patreon.com/spaceship-prompt"><img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="150px"></a> | <img src="https://user-images.githubusercontent.com/3459374/33760933-1c9b81b4-dc10-11e7-8e4b-22d81f98c138.png" width="100px" /> | <img src="https://user-images.githubusercontent.com/3459374/33760932-1c7b3fb2-dc10-11e7-9774-411264d533da.png" width="100px" /> |

赞助是您肯定的表达： **我的工作是有价值的**

我会感谢您的支持！ _谢谢！_

## 许可证

MIT © [Denys Dovhan](http://denysdovhan.com)

[patreon-url]: https://www.patreon.com/denysdovhan

[patreon-url]: https://www.patreon.com/denysdovhan
